org.eclipse.ui.views.properties

## Class PropertyColumnLabelProvider

- java.lang.Object
- - org.eclipse.core.commands.common.EventManager
  - - org.eclipse.jface.viewers.BaseLabelProvider
    - - org.eclipse.jface.viewers.CellLabelProvider
      - - org.eclipse.jface.viewers.ColumnLabelProvider
        - - org.eclipse.ui.views.properties.PropertyColumnLabelProvider

All Implemented Interfaces:
  IBaseLabelProvider, IColorProvider, IFontProvider, ILabelProvider, IToolTipProvider

    public class PropertyColumnLabelProvider
    extends ColumnLabelProvider

A column label provider that returns label text and images based on a `IPropertySourceProvider`, forwarding requests for text and image to the label provider returned from the property descriptor for the given property id.

Since:
  3.3
See Also:
  `IPropertyDescriptor.getLabelProvider()`, `PropertyEditingSupport`

### Field Summary

Fields
`protected Object` `propertyID`
`protected IPropertySourceProvider` `propertySourceProvider`

### Constructor Summary

Constructors
Constructor and Description
`PropertyColumnLabelProvider(IPropertySourceProvider propertySourceProvider, Object propertyID)` Creates a new instance based on the given property source provider and property id.

### Method Summary

All Methods Instance Methods Concrete Methods
`Image` `getImage(Object object)` Returns the image for the label of the given element.
`String` `getText(Object object)` Returns the text for the label of the given element.

### Methods inherited from class org.eclipse.jface.viewers.ColumnLabelProvider

`getBackground, getFont, getForeground, update`

### Methods inherited from class org.eclipse.jface.viewers.CellLabelProvider

`dispose, getToolTipBackgroundColor, getToolTipDisplayDelayTime, getToolTipFont, getToolTipForegroundColor, getToolTipImage, getToolTipShift, getToolTipStyle, getToolTipText, getToolTipTimeDisplayed, initialize, useNativeToolTip`

### Methods inherited from class org.eclipse.jface.viewers.BaseLabelProvider

`addListener, dispose, fireLabelProviderChanged, isLabelProperty, removeListener`

### Methods inherited from class org.eclipse.core.commands.common.EventManager

`addListenerObject, clearListeners, getListeners, isListenerAttached, removeListenerObject`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.jface.viewers.IBaseLabelProvider

`addListener, dispose, isLabelProperty, removeListener`

### Field Detail

#### propertySourceProvider

    protected IPropertySourceProvider propertySourceProvider

#### propertyID

    protected Object propertyID

### Constructor Detail

#### PropertyColumnLabelProvider

    public PropertyColumnLabelProvider(IPropertySourceProvider propertySourceProvider,
                                       Object propertyID)

Creates a new instance based on the given property source provider and property id.

Parameters:
  `propertySourceProvider` - the property source provider
  `propertyID` - the property id

### Method Detail

#### getText

    public String getText(Object object)

Description copied from interface: `ILabelProvider`
Returns the text for the label of the given element.

Specified by:
  `getText` in interface `ILabelProvider`
Overrides:
  `getText` in class `ColumnLabelProvider`
Parameters:
  `object` - the element for which to provide the label text
Returns:
  the text string used to label the element, or `null` if there is no text label for the given object

#### getImage

    public Image getImage(Object object)

Description copied from interface: `ILabelProvider`
Returns the image for the label of the given element. The image is owned by the label provider and must not be disposed directly. Instead, dispose the label provider when no longer needed.

Specified by:
  `getImage` in interface `ILabelProvider`
Overrides:
  `getImage` in class `ColumnLabelProvider`
Parameters:
  `object` - the element for which to provide the label image
Returns:
  the image used to label the element, or `null` if there is no image for the given object